summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-01-30 07:37:47 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-01-30 07:37:47 +0000
commit69c60b2f5328868c910f21e2c77758f55860fe32 (patch)
treef37405170f7aaa6014161d20909e16ddb1b17556 /dev-python
parent1fdeabdc269610ddb66f36f34e1f6416a5eea439 (diff)
downloadbaldeagleos-repo-69c60b2f5328868c910f21e2c77758f55860fe32.tar.gz
baldeagleos-repo-69c60b2f5328868c910f21e2c77758f55860fe32.tar.xz
baldeagleos-repo-69c60b2f5328868c910f21e2c77758f55860fe32.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-22.6.0.ebuild40
-rw-r--r--dev-python/Faker/Manifest1
-rw-r--r--dev-python/aiohttp/Manifest1
-rw-r--r--dev-python/aiohttp/aiohttp-3.9.3.ebuild117
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.34.30.ebuild58
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.34.30.ebuild63
-rw-r--r--dev-python/chameleon/Manifest1
-rw-r--r--dev-python/chameleon/chameleon-4.5.2.ebuild23
-rw-r--r--dev-python/furo/Manifest1
-rw-r--r--dev-python/furo/furo-2024.1.29.ebuild36
-rw-r--r--dev-python/google-api-core/Manifest1
-rw-r--r--dev-python/google-api-core/google-api-core-2.16.0.ebuild65
-rw-r--r--dev-python/libvirt-python/libvirt-python-9.8.0.ebuild2
-rw-r--r--dev-python/multiprocess/Manifest1
-rw-r--r--dev-python/multiprocess/multiprocess-0.70.16.ebuild27
-rw-r--r--dev-python/pyside2-tools/pyside2-tools-5.15.12.ebuild2
-rw-r--r--dev-python/pyside2/pyside2-5.15.12.ebuild2
-rw-r--r--dev-python/pytest-httpx/Manifest1
-rw-r--r--dev-python/pytest-httpx/pytest-httpx-0.29.0.ebuild32
-rw-r--r--dev-python/pythonfinder/Manifest1
-rw-r--r--dev-python/pythonfinder/pythonfinder-2.1.0.ebuild31
-rw-r--r--dev-python/referencing/Manifest1
-rw-r--r--dev-python/referencing/referencing-0.33.0.ebuild33
-rw-r--r--dev-python/requests-file/Manifest1
-rw-r--r--dev-python/requests-file/requests-file-2.0.0.ebuild29
-rw-r--r--dev-python/setuptools-gettext/Manifest1
-rw-r--r--dev-python/setuptools-gettext/setuptools-gettext-0.1.11.ebuild37
-rw-r--r--dev-python/shiboken2/shiboken2-5.15.12.ebuild2
-rw-r--r--dev-python/simpervisor/files/simpervisor-1.0.0-yarl.patch28
-rw-r--r--dev-python/simpervisor/simpervisor-1.0.0-r1.ebuild (renamed from dev-python/simpervisor/simpervisor-1.0.0.ebuild)7
-rw-r--r--dev-python/sqlglot/Manifest1
-rw-r--r--dev-python/sqlglot/sqlglot-20.11.0.ebuild121
-rw-r--r--dev-python/terminado/terminado-0.18.0.ebuild7
-rw-r--r--dev-python/tifffile/Manifest1
-rw-r--r--dev-python/tifffile/tifffile-2024.1.30.ebuild57
37 files changed, 828 insertions, 6 deletions
diff --git a/dev-python/Faker/Faker-22.6.0.ebuild b/dev-python/Faker/Faker-22.6.0.ebuild
new file mode 100644
index 000000000000..b726995539a4
--- /dev/null
+++ b/dev-python/Faker/Faker-22.6.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=faker.contrib.pytest.plugin
+ epytest
+}
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index fe576dcc7def..5f46d5572961 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -3,3 +3,4 @@ DIST Faker-22.2.0.tar.gz 1702497 BLAKE2B ed5d215399d168b79661a5db5a0b7c9a8321f5f
DIST Faker-22.4.0.tar.gz 1702616 BLAKE2B 1a50724c0c8faaf4b2e72d3b23f242be19862133c79a1d49b8919512355ec84d565768b1c0868f287708880a13e833bab4dc911a9f4df53d9a225fa3ea75e00c SHA512 a8531b839c46c0403c37d1f5d58b026a2f8bf9ef66c4ce6302673dc7988250d51d069740bf783abf5b610afc2d01e23aa769c7d32ee03927befb13a610adc586
DIST Faker-22.5.0.tar.gz 1703089 BLAKE2B 8c03883f60fa7ab39cc4dee6f73907b34d8b8a7a2f2f55f3842e9807625ff92dff5e3268f4f48048483ec707f4e0c0d4fb4d4c8b6a52f86ec204b8dbd4cad9b9 SHA512 b3ed913304cca9768b79685e449f49c56ad94274e213d77f64afe713b765e128dd5ef8d02222a3519c87ae5d4f567c64e2f8734972c95072f7a23119cc76cf09
DIST Faker-22.5.1.tar.gz 1703337 BLAKE2B 603b06512deb04c6e320904aa32b7e210ecbe270ae634814adeaa420d2af342d44744755ad7ae575ef7902bd3ad6d117c88814bb13a1d84952509ec881b402f9 SHA512 469cf1af9535be0610c1b8750874b1623b0746b762a995805a86a9bdb54a2a8cd3d4118254b1a75240f24a6294629669aae3b6e062e8b229eba30de56cb2bbf8
+DIST Faker-22.6.0.tar.gz 1703974 BLAKE2B b6deb022fd38f52baf9a76e697451ca4ba175e530c3c232d09722f1f809de779d7885b92d1b87be64d9b87da2a7bda80af6cb5968faa55c60547156a5a7c63b7 SHA512 100db2723e4e6961ea239bd1c083cc8ed90cec2af3a8fb82c77df4cd2faec10b51f6cc5ff502e3afaf4d53142f6eaf04b1c6bd955ae8173e5c2f7b19bb7cf561
diff --git a/dev-python/aiohttp/Manifest b/dev-python/aiohttp/Manifest
index fc5ddc20aa43..fe3b1587cfae 100644
--- a/dev-python/aiohttp/Manifest
+++ b/dev-python/aiohttp/Manifest
@@ -1,2 +1,3 @@
DIST aiohttp-3.9.1.tar.gz 7482118 BLAKE2B 2150ae98f799f9c6e1f48987bfd8b1847439d8b87cd21417676c2fa5c971fcdc13c3f933dfdd5eceb92b47ad604d16c2a71d884118d8bde1816f2d944d2930a2 SHA512 3288085d5fbcfb7e3664f906345aeab6f989f2318babae6bf5cc3955de48707e9de56ce3b9553d6ee35c72b8f884dc1fd01861a638ee738573e78a203e6a9dec
DIST aiohttp-3.9.2.tar.gz 7499640 BLAKE2B 7e840d4493345b0cfa9315c562703de94cb550dc6ead293910552dab3e4fe13a47af210827452544b3c16b5fbc9d02d1e62a6cb4fadd54b0b4f1dd93b3b5c038 SHA512 8e9c41b45d1ffd99ef819a6c46f16dd7c92dd2416c383ad9c3d810c055cc0a0db4e7ab15e7ef5b3550eaa68b18538b246b45a969ce7d76cbce667209c7477643
+DIST aiohttp-3.9.3.tar.gz 7499669 BLAKE2B 0712df73af60cc9cbf12f0a4e063b6aa6da1b19b0668effe16672a4b7ca3f24cc831218ec8d4672cd86acd4335a75e16f94133dbb1bf783baf8ed96e471f3eec SHA512 6236f27b6def0c3bba1b5fc59f4af74f8076aa369cf5c1b9bd9ff9dee1c71ee49387ded812875da9450130e92d2091fd01f0608b25b03ff37e99162b89120fd7
diff --git a/dev-python/aiohttp/aiohttp-3.9.3.ebuild b/dev-python/aiohttp/aiohttp-3.9.3.ebuild
new file mode 100644
index 000000000000..a9fccc81a9f4
--- /dev/null
+++ b/dev-python/aiohttp/aiohttp-3.9.3.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="HTTP client/server for asyncio"
+HOMEPAGE="
+ https://github.com/aio-libs/aiohttp/
+ https://pypi.org/project/aiohttp/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="test-rust"
+
+RDEPEND="
+ >=dev-python/aiosignal-1.1.2[${PYTHON_USEDEP}]
+ >=dev-python/attrs-17.3.0[${PYTHON_USEDEP}]
+ dev-python/brotlicffi[${PYTHON_USEDEP}]
+ >=dev-python/frozenlist-1.1.1[${PYTHON_USEDEP}]
+ >=dev-python/multidict-4.5.0[${PYTHON_USEDEP}]
+ >=dev-python/yarl-1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ <dev-python/async-timeout-5[${PYTHON_USEDEP}]
+ >=dev-python/async-timeout-4.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ www-servers/gunicorn[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/re-assert[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/time-machine[${PYTHON_USEDEP}]
+ ' 'python3*')
+ test-rust? (
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+ )
+"
+
+DOCS=( CHANGES.rst CONTRIBUTORS.txt README.rst )
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # increase the timeout a little
+ sed -e '/abs=/s/0.001/0.01/' -i tests/test_helpers.py || die
+ # xfail_strict fails on py3.10
+ sed -i -e '/--cov/d' -e '/xfail_strict/d' setup.cfg || die
+ sed -i -e 's:-Werror::' Makefile || die
+
+ distutils-r1_src_prepare
+}
+
+python_configure_all() {
+ # workaround missing files
+ mkdir tools || die
+ > requirements/cython.txt || die
+ > tools/gen.py || die
+ chmod +x tools/gen.py || die
+ # force rehashing first
+ emake requirements/.hash/cython.txt.hash
+ > .update-pip || die
+ > .install-cython || die
+ emake cythonize
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # proxy is not packaged
+ tests/test_proxy_functional.py
+ # python_on_whales is not packaged
+ tests/autobahn/test_autobahn.py
+ )
+
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/test_client_session.py::test_client_session_timeout_zero
+ # broken by irrelevant deprecation warnings
+ tests/test_circular_imports.py::test_no_warnings
+ # TODO
+ tests/test_client_session.py::test_request_tracing_url_params
+ # fragile timing test
+ tests/test_imports.py::test_import_time
+ # crash in time-machine
+ # https://github.com/aio-libs/aiohttp/issues/7851
+ # https://github.com/adamchainz/time-machine/issues/403
+ tests/test_cookiejar.py::TestCookieJarSafe::test_max_age
+ )
+
+ case ${EPYTHON} in
+ pypy3)
+ # upstream unconditionally blocks building C extensions
+ # on PyPy3 but the test suite needs an explicit switch,
+ # sigh
+ local -x AIOHTTP_NO_EXTENSIONS=1
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=pytest_mock,xdist.plugin,pytest_forked
+ rm -rf aiohttp || die
+ epytest --forked
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 8f66c70f6054..65d0b197f5b7 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,3 +1,4 @@
DIST boto3-1.34.18.gh.tar.gz 765458 BLAKE2B 29414e20fa034f63c899b6f2d5460d8973dd617aa97adbe1940daaf3f4a08cf9286bf24709fe9bcd745fdec8415578a87033f99cfd1335baa8ecf29f1723074d SHA512 aa5dc9363d3f04f49a40ea352ab75a30b52e9b1aa1153ab4ed9d6bef6059ea6cb0cb04301158f0e857d9abd19c670db447dda6cd9d8898d6c71c0b69242775fc
DIST boto3-1.34.23.gh.tar.gz 766609 BLAKE2B d00b010c84c41695f02df58a51d483162af1ba770263218b6465132fdb104424ea8dd7c8d96e278c50700aa3c90d2321a21d31e9ae3b42712aff31a1a5c4b65d SHA512 4f1c0cafb3d511a23c07b97ed2b41369299d0a4819e0bf103288c7b44074c93bc55b729a2979b133a50d390660078a0bb0e251dcd1523244fdbe06cae6ef037a
DIST boto3-1.34.29.gh.tar.gz 769654 BLAKE2B 3eec92f78f343c1806eb7ad96a31b07592ffb355aed5bca75b9cf9bc32cc240a1c254cd43e618d7cba442dddab31035f43f319aa674b5fd6ee99e93d76514389 SHA512 1dff0825811b346e1300030770f00dfea9694d3f6c4beccddfb2ff00520503271b617321e124a1d922da8e8fb1d2c2beb08a83f23eb5e5754bf1d519ea994cf3
+DIST boto3-1.34.30.gh.tar.gz 770197 BLAKE2B d2eabd13c0c38fddf96caed27e57c7558f5639daa343b5331c6f6d6a82eb2cd95819e77c389e05676c104a51d398515e68562fd3da8e54f7c0febf6a1d0d2419 SHA512 b0d3924ee4413f3cdb4a6efc11b30af944d6e183f5b5d49ae39b3da05f3794739f0d66c19bde0ab32243ea9ae16cbc43c042ad41b8fabff58a3a704978f9f309
diff --git a/dev-python/boto3/boto3-1.34.30.ebuild b/dev-python/boto3/boto3-1.34.30.ebuild
new file mode 100644
index 000000000000..c6201d2c5818
--- /dev/null
+++ b/dev-python/boto3/boto3-1.34.30.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 2e040af92fa8..99999f6b0686 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,3 +1,4 @@
DIST botocore-1.34.18.gh.tar.gz 12634296 BLAKE2B c3f18b042ea56c65f66b578f5b010613e34d4ca7a203cdbd479ef781fbebf3876b40623468e0fbbf7721f9a3e7ad82e71d1771bb24c721e3bc450acaff1f296a SHA512 bd0ace3da7e45edf98a13b1616b0699b0a2e2c3aec1e59dc7f8c11a3817fb1aefc8aae5634abcbf24f242c155df24ba93348f55fd6cb588abf129010b28f351e
DIST botocore-1.34.23.gh.tar.gz 12647072 BLAKE2B be20994714a1f31ac5272d5b7be8424e574be1059c5be311e68d1932eb6884a54f71287dc5a9c11996063e4c2ab15a342bf778a0a90620710761e63a5deaa170 SHA512 fcc1879245e8d848c8cd6283af904e0408a5bdaa3b3e14c4ae267735cb29bdde50f1da5f3232ea23053f25fc1f29a1204a08a5c820909cf8667595543b6cfdea
DIST botocore-1.34.29.gh.tar.gz 12665018 BLAKE2B 928c27ae62a5e2675dc5476af05a4390cbeaf9d5c64cae6a5af0d5348f703417f48431258fc7c4ad316908fd29f6bfeb5a7c76290ea9622172f3d787f40021c7 SHA512 5314900eecf2d31fe08bcb9efbc1a361467fe034129c85f5cb4a678275115292fc5a6a95fbbe3cc06aa0a1387e14dde0f9115a9aa25ba59dba62a02c3b8db43b
+DIST botocore-1.34.30.gh.tar.gz 12666051 BLAKE2B b6a19b4145b17855a65ecfd89150613b460616413f55b112df54dd60fbd946d7bee1f33d615e859e9f56e49328ddb91cb9e1c9b350686a37eccb1892850dbdf0 SHA512 8ce09d2ffa190fb50fd2a9b98ad0bf36de886d5b9f2a0e833e425a0bbfedca7f98b8de50240eaa81d1b01b68bbc96f6fce706b0547a508140e615aa9c3927c26
diff --git a/dev-python/botocore/botocore-1.34.30.ebuild b/dev-python/botocore/botocore-1.34.30.ebuild
new file mode 100644
index 000000000000..fd76f2226b9c
--- /dev/null
+++ b/dev-python/botocore/botocore-1.34.30.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x EPYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/chameleon/Manifest b/dev-python/chameleon/Manifest
index b68b5ff25100..fc89d08da727 100644
--- a/dev-python/chameleon/Manifest
+++ b/dev-python/chameleon/Manifest
@@ -1,3 +1,4 @@
DIST Chameleon-4.4.3.tar.gz 178203 BLAKE2B 0946e91b4f0be618bd8d5c9c87b3517af5cf1fd1af7182d2b1a60feda876e0ba5d1f2b7de9c3b2b27f0a4615dbd346b90abf497f0a1c9e3312b4b52ac8685e98 SHA512 0b72da4b17bf2b815eef329c9a07e51d8405fe38813e025db404279888e410e7d406b314a72ed5b76a7e5416d43a075ea0b0a8971cd363d4999d73172d9583c5
DIST Chameleon-4.5.0.tar.gz 178580 BLAKE2B c4298048849bd294fc6c0778ad0a72ded30afbf928fda4c7e188fc54fd8d931f275f9e8d96bec8b0028261f8e470b7760b9a56bde4d1c3b7edab91c218dddd57 SHA512 36ffc2f7e917df967b5df530452c0610561cdf67a491994662cd9ce15ef8889ba5242f163a408c5bf02e4b87e8e2decbbe0d6f404e9953978bbdb319cb179ca2
DIST Chameleon-4.5.1.tar.gz 178857 BLAKE2B 2fbe5519fa8686e3ae035b4a3c7e204778ca4e3d4b5e6f3770a50d908db43d5b445a243926832d3d3b9e4c95efacb4f0f996c2e24b974888160bdfa39abe1395 SHA512 1d130d40cdeecd95f6e28f074229e61e13a6bfcfb593909f96742f0744d8ee0887b2d94c1766e4f4ae78699a6d3b88c6160c043e255868f580aa4549e02d6ce9
+DIST Chameleon-4.5.2.tar.gz 178964 BLAKE2B e7225fe77aa9af65fba16aa91857993a7f9e6682b52f650bcca0c8cd78f621fc2a4c71defe9f8067c5912fdc2fcbaeff42aa08815299c1478d184cad7d0dafee SHA512 34077680ff8d185db863278f4191d551b9710824e8d6b6a6dcd8c4abeadc87f926227181a6f5a1d594ea39a99f56627999969230f5231083f6ae61ace8684955
diff --git a/dev-python/chameleon/chameleon-4.5.2.ebuild b/dev-python/chameleon/chameleon-4.5.2.ebuild
new file mode 100644
index 000000000000..d151699b1d62
--- /dev/null
+++ b/dev-python/chameleon/chameleon-4.5.2.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN^}
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fast HTML/XML template compiler for Python"
+HOMEPAGE="
+ https://github.com/malthe/chameleon/
+ https://pypi.org/project/Chameleon/
+"
+
+LICENSE="repoze"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+distutils_enable_tests pytest
diff --git a/dev-python/furo/Manifest b/dev-python/furo/Manifest
index 3cf7370ce3d9..f553b5a5024a 100644
--- a/dev-python/furo/Manifest
+++ b/dev-python/furo/Manifest
@@ -1 +1,2 @@
DIST furo-2023.9.10-py3-none-any.whl 324431 BLAKE2B 3a513e00c7a5856c19fda8e74c6a66fd89ea53ae5a8035969bc84b3827ec7f8b4c48bf964e3fd9d663f780b4621bdff31cc1bee2ffe0bc8e35700a41e4eb1bcc SHA512 67aba2f451beba1d2ecdcac8cd38db8a5b5952ccdd5d715d8b59ca68106214a8d9b8e0efe3adad6ee1ad84459904053b8fa038d8a334073b4879bd51934c28cf
+DIST furo-2024.1.29-py3-none-any.whl 325212 BLAKE2B 7dec8d515bb2ac6741d875dac57048e066f6e9602e7c529bfcf5b01a8b47d6ff38d6212d5a5abf8dfbe42d7667481a3a14c20f39367d65d8968e429e6c5fbbea SHA512 375fff9ad283732c0e242da0233e6b3e5bc570c514fa1a5899232599ac1a73c3198071e74635ab115ba28ea9d97156e1c28ae40c5e203cc21cf639b183201893
diff --git a/dev-python/furo/furo-2024.1.29.ebuild b/dev-python/furo/furo-2024.1.29.ebuild
new file mode 100644
index 000000000000..324e318ad63b
--- /dev/null
+++ b/dev-python/furo/furo-2024.1.29.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# sphinx-theme-builder is completely unusable, as it requires pinning
+# to a very-specific nodejs version number, and ofc loves fetching
+# everything from the Internet
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Clean customisable Sphinx documentation theme"
+HOMEPAGE="
+ https://pypi.org/project/furo/
+ https://github.com/pradyunsg/furo/
+"
+SRC_URI="$(pypi_wheel_url)"
+S=${WORKDIR}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/sphinx-basic-ng[${PYTHON_USEDEP}]
+"
+
+python_compile() {
+ distutils_wheel_install "${BUILD_DIR}/install" \
+ "${DISTDIR}/${P}-py3-none-any.whl"
+}
diff --git a/dev-python/google-api-core/Manifest b/dev-python/google-api-core/Manifest
index 6d9ae7f14d26..5e69cb222122 100644
--- a/dev-python/google-api-core/Manifest
+++ b/dev-python/google-api-core/Manifest
@@ -1 +1,2 @@
DIST python-api-core-2.15.0.gh.tar.gz 193916 BLAKE2B 708bee6e62b4049d88bc88dfc03add6496ee1861954485e145ab01707284216aef224bd8646a3336417d8b114a8c196ce44e8da63e53c3dff3d616ff9bef25ad SHA512 1abbeb266e4bcb9cf8a2dc6ba795a5667b5e9a870fe8609335e929ac17410822e4324d88c7692f8c60534e9ee4b0933af0277cc44ccb2d805bcbaf8db1288bba
+DIST python-api-core-2.16.0.gh.tar.gz 205401 BLAKE2B a36c1e76912038b5d239c02c586d79e96f6167b200dab7d97cee1f9dbf679a217a2a67ab2075c86bdeb81a42649229bcfe4940bba8d0ec707ea1d317c364125c SHA512 6ffe94ecb56bc9e67da644365726e3c03ad7a678f18019523e555e33d4226631162c7a749286273b735d4d0bf62af676bfac7c6d17ad1d074a1274c575c8d925
diff --git a/dev-python/google-api-core/google-api-core-2.16.0.ebuild b/dev-python/google-api-core/google-api-core-2.16.0.ebuild
new file mode 100644
index 000000000000..bde7f392fc30
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-2.16.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 2020-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+MY_P=python-api-core-${PV}
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="
+ https://github.com/googleapis/python-api-core/
+ https://pypi.org/project/google-api-core/
+ https://googleapis.dev/python/google-api-core/latest/index.html
+"
+SRC_URI="
+ https://github.com/googleapis/python-api-core/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/googleapis-common-protos-1.56.2[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.25.0[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-python-3.19.5[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+ !dev-python/namespace-google
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/proto-plus[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # failing due to missing grpcio-status
+ tests/asyncio/test_grpc_helpers_async.py::test_wrap_unary_errors
+ tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_raised
+ tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_read
+ tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_aiter
+ tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_write
+ tests/unit/test_grpc_helpers.py::test_wrap_unary_errors
+ tests/unit/test_grpc_helpers.py::test_wrap_stream_errors_invocation
+ tests/unit/test_grpc_helpers.py::test_wrap_stream_errors_iterator_initialization
+ tests/unit/test_grpc_helpers.py::test_wrap_stream_errors_during_iteration
+)
+
+python_test() {
+ rm -rf google || die
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p asyncio tests
+}
diff --git a/dev-python/libvirt-python/libvirt-python-9.8.0.ebuild b/dev-python/libvirt-python/libvirt-python-9.8.0.ebuild
index 3ecdb5ea20ce..0fb1915fceb5 100644
--- a/dev-python/libvirt-python/libvirt-python-9.8.0.ebuild
+++ b/dev-python/libvirt-python/libvirt-python-9.8.0.ebuild
@@ -23,7 +23,7 @@ else
MY_P="${P/_rc/-rc}"
SRC_URI="https://libvirt.org/sources/python/${MY_P}.tar.gz
verify-sig? ( https://libvirt.org/sources/python/${MY_P}.tar.gz.asc )"
- KEYWORDS="~amd64 ~arm arm64 ppc64 ~x86"
+ KEYWORDS="amd64 ~arm arm64 ppc64 x86"
RDEPEND="app-emulation/libvirt:0/${PV}"
fi
S="${WORKDIR}/${P%_rc*}"
diff --git a/dev-python/multiprocess/Manifest b/dev-python/multiprocess/Manifest
index bec77b863a4c..48ad16e66739 100644
--- a/dev-python/multiprocess/Manifest
+++ b/dev-python/multiprocess/Manifest
@@ -1 +1,2 @@
DIST multiprocess-0.70.15.tar.gz 1894495 BLAKE2B 3ed3c6e530f0a9e32a04b591f874b0fd7c116704f69116d1ed3addba6010ac33a4cc3d5214e6cce18478d5a05bfffb75840ca520f2d3604a06006aa5d6725ae9 SHA512 095c15e942bebe2dffa5054ce46f30f69b3f0fcbfbd87b6742546dcacdb6a5d0d3274002f5f58f73345761adaa19866573ae20d420f8ca4cc00ca5270f8acb84
+DIST multiprocess-0.70.16.tar.gz 1772603 BLAKE2B e5d685e3c1343196560175b6b498e7c2758f035d67d0f40c2ab0ef587858d81662ae3242431c4f4fe258a421aa1646e5c76182e0ba3039be2b0ba16b2e23dcec SHA512 8aee5f0cf74ef4a30bcf2337a651a39270f507f9e827647ad3ae50cba688d2920c56331568b8d597b379587c3cb82f5d10d7b96bdba63a0eccc2ec7abccf9863
diff --git a/dev-python/multiprocess/multiprocess-0.70.16.ebuild b/dev-python/multiprocess/multiprocess-0.70.16.ebuild
new file mode 100644
index 000000000000..95254f6eb30c
--- /dev/null
+++ b/dev-python/multiprocess/multiprocess-0.70.16.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Better multiprocessing and multithreading in Python"
+HOMEPAGE="
+ https://github.com/uqfoundation/multiprocess/
+ https://pypi.org/project/multiprocess/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=dev-python/dill-0.3.8[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ "${EPYTHON}" py${EPYTHON#python}/multiprocess/tests/__main__.py -v || die
+}
diff --git a/dev-python/pyside2-tools/pyside2-tools-5.15.12.ebuild b/dev-python/pyside2-tools/pyside2-tools-5.15.12.ebuild
index e0068cc5fb00..f52561b0a39e 100644
--- a/dev-python/pyside2-tools/pyside2-tools-5.15.12.ebuild
+++ b/dev-python/pyside2-tools/pyside2-tools-5.15.12.ebuild
@@ -18,7 +18,7 @@ S="${WORKDIR}/${MY_P}/sources/${PN}"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~riscv x86"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="${PYTHON_DEPS}
diff --git a/dev-python/pyside2/pyside2-5.15.12.ebuild b/dev-python/pyside2/pyside2-5.15.12.ebuild
index a929c8fcb5cd..664e3a7140ae 100644
--- a/dev-python/pyside2/pyside2-5.15.12.ebuild
+++ b/dev-python/pyside2/pyside2-5.15.12.ebuild
@@ -37,7 +37,7 @@ S="${WORKDIR}/${MY_P}/sources/pyside2"
# x11extras (for X)
LICENSE="|| ( GPL-2 GPL-3+ LGPL-3 )"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~riscv x86"
IUSE="
3d charts +concurrent datavis designer gles2-only +gui help location
multimedia +network positioning +printsupport qml quick
diff --git a/dev-python/pytest-httpx/Manifest b/dev-python/pytest-httpx/Manifest
index b696eaec2c0a..080c45b91fff 100644
--- a/dev-python/pytest-httpx/Manifest
+++ b/dev-python/pytest-httpx/Manifest
@@ -1 +1,2 @@
DIST pytest_httpx-0.28.0.tar.gz 34065 BLAKE2B 13b52ba38a6e98f0d9aa10109b2d476feedfef516492b4cbe3f2cc91d1b1809934409e0e696021e1b2d5e3668cf3493834f44cb11940bac73f64949a73401308 SHA512 5dae77c04e1d801ba63a487d91e2d80a94e0626673749453ce0d273bbe876967d73789dc7811f1e96ad7366de2a00a5cee1a512398693b41e7cbc2424cb0c44f
+DIST pytest_httpx-0.29.0.tar.gz 34103 BLAKE2B b8ee299ce17861732050f0059905193ee964ca375734584356b26a179979f2f967b69d134b8fc9c0fd4ae75172c404dc8e9ec27bb50e6bed58f8e7e76a4aa9e6 SHA512 ada6f5f419de3fbe835a5ce9fba9e5d368cbb01d1826d61cd4bb5a7f2941030d40afa17e582eca20743a546bf98699ecc2d8a0c640efa69b390dc32f2349bb13
diff --git a/dev-python/pytest-httpx/pytest-httpx-0.29.0.ebuild b/dev-python/pytest-httpx/pytest-httpx-0.29.0.ebuild
new file mode 100644
index 000000000000..073f960cba3e
--- /dev/null
+++ b/dev-python/pytest-httpx/pytest-httpx-0.29.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Send responses to HTTPX using pytest"
+HOMEPAGE="
+ https://colin-b.github.io/pytest_httpx/
+ https://github.com/Colin-b/pytest_httpx/
+ https://pypi.org/project/pytest-httpx/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ =dev-python/httpx-0.26*[${PYTHON_USEDEP}]
+ <dev-python/pytest-9[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/pythonfinder/Manifest b/dev-python/pythonfinder/Manifest
index d57d6a8849bd..a258f9eb1e78 100644
--- a/dev-python/pythonfinder/Manifest
+++ b/dev-python/pythonfinder/Manifest
@@ -1,2 +1,3 @@
DIST pythonfinder-2.0.5.tar.gz 718776 BLAKE2B 32a49dbff143042554d5328b61b612e3bde7a870d53a229303b6bdd2c2ce76457bf6aadcdb215efa332407003c1319215292f3278a2808b669b5b7819af08902 SHA512 4d205c66d7ae36f4f2b8ddab9cce00f4efd5548a41d251470a515b88f8be2dcede75372b9301223822031ae663c6ccf77156531b0dd5d8972424f90641255c5b
DIST pythonfinder-2.0.6.tar.gz 718821 BLAKE2B bc45c8ebffd4b8a21084c3b5f4d9cba71383613e6b25ec01ba53b0abf5d01cf78d1636b19c6c32f80eec401c56c25eedded793fabc46e2bbd389074a45ae14f5 SHA512 2aad884101d1a9fc1340fb63b11811aa7bd1c1f6d2945f9d133bb473099c7e11da21a4348ca742cae03a23fc8b12b85dcae4e9b3a2d29ec98530b6d8d2567d1c
+DIST pythonfinder-2.1.0.tar.gz 717240 BLAKE2B 73e748c1c8d3b38270d9d73861c296eb96685f2bf1318344f7f6214b948381e464a90422451a49c32b4e6117c5a75ba8af0cffc75405a65e28c5f3e14f8c834a SHA512 ddba8fe6fbd986c48be941b1bd76f8ca1f11985cadbce55a51e1fd110c2a8bc99c7536c288f2e16d0204bd854ee46db1761c12bca336d74764e99ab424210555
diff --git a/dev-python/pythonfinder/pythonfinder-2.1.0.ebuild b/dev-python/pythonfinder/pythonfinder-2.1.0.ebuild
new file mode 100644
index 000000000000..774560547584
--- /dev/null
+++ b/dev-python/pythonfinder/pythonfinder-2.1.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="PythonFinder: Cross Platform Search Tool for Finding Pythons"
+HOMEPAGE="
+ https://github.com/sarugaku/pythonfinder/
+ https://pypi.org/project/pythonfinder/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+BDEPEND="
+ test? (
+ dev-python/click[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest -o addopts=
+}
diff --git a/dev-python/referencing/Manifest b/dev-python/referencing/Manifest
index 35e5406de75f..0e78c29639a8 100644
--- a/dev-python/referencing/Manifest
+++ b/dev-python/referencing/Manifest
@@ -1 +1,2 @@
DIST referencing-0.32.1.tar.gz 55523 BLAKE2B 7312158a6bfeef64d4f2ff8f7332d3153b2e03954a48f42c904ae68d652b819df579b8188dc9a62aa024a658d300b59166f866ff351a20565b4b01c1d259e95d SHA512 a1171758b76d249f1d57f47ffc9c06882fff17ae3f04b91dfc5d14e0e15157827129b2328e143b6699b7890ad23d47aeed4a6d8e44dc116c368b8de624df7074
+DIST referencing-0.33.0.tar.gz 55507 BLAKE2B 6781b3295a1727ed0d6cdb17ca9b8e63d974463ccebb6064cb153a5523a7912c41525d03b8baa7eb17e4165880b75a738648a318a9415be5d9d6459622ed5803 SHA512 053ae200401c415a887ebead387d3378ead4c1c98d7f37a0130fd5b8d0c9ce86848591f8e47e59e0e2d0a596a49a450fdad3ffb5246b369ffdc4f2c31e9edddd
diff --git a/dev-python/referencing/referencing-0.33.0.ebuild b/dev-python/referencing/referencing-0.33.0.ebuild
new file mode 100644
index 000000000000..83f1fb7d7b51
--- /dev/null
+++ b/dev-python/referencing/referencing-0.33.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Cross-specification JSON referencing (JSON Schema, OpenAPI...)"
+HOMEPAGE="
+ https://github.com/python-jsonschema/referencing/
+ https://pypi.org/project/referencing/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/rpds-py-0.7.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-subtests[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/requests-file/Manifest b/dev-python/requests-file/Manifest
index 7c5624459d5d..d74d05c5ee50 100644
--- a/dev-python/requests-file/Manifest
+++ b/dev-python/requests-file/Manifest
@@ -1 +1,2 @@
DIST requests-file-1.5.1.tar.gz 5668 BLAKE2B 4060ab3728e32d87252d1bb25e310937dad0a6e790a9633f8932d45c1d791343ea6813509d15a24c9787736ef6b9992d236b06a504efce6c3d5fcfc04176ae87 SHA512 e671bba8de63d3fa5665f928734f1a152d95ac9973c99f3a09d2dcbb9c9c16334c54a4f0824a5ebe63e262a4cc5d4990f08244ff0b84af11fa475dd416b1e2bc
+DIST requests-file-2.0.0.tar.gz 6863 BLAKE2B 845c8b468131f5958c2e648553aaba5e2a9da9942b333dcf3eb9c70dad3941945f0d63d65747c6ec1bb9f2c3e7ce9665738665bf76a691b85048d998888ff9ef SHA512 d37a35d50a2d5f688e431c15c55bfd789c23e50445d94abedfbe75c9ccd825142850dc2ea7e9426c3fa1ca8e4aaaf0a230f5f6921d3c42d157ac95d7e7352b70
diff --git a/dev-python/requests-file/requests-file-2.0.0.ebuild b/dev-python/requests-file/requests-file-2.0.0.ebuild
new file mode 100644
index 000000000000..f283840fce1f
--- /dev/null
+++ b/dev-python/requests-file/requests-file-2.0.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="File transport adapter for Requests"
+HOMEPAGE="
+ https://github.com/dashea/requests-file/
+ https://pypi.org/project/requests-file/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~loong ~x86"
+
+RDEPEND="
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/setuptools-gettext/Manifest b/dev-python/setuptools-gettext/Manifest
index 7d2a1dd08bfe..63dae90cd46a 100644
--- a/dev-python/setuptools-gettext/Manifest
+++ b/dev-python/setuptools-gettext/Manifest
@@ -1,2 +1,3 @@
+DIST setuptools-gettext-0.1.11.tar.gz 15582 BLAKE2B a47e8c05683dbf8ac2db9dcbf66f8d680a6d1788ee00f1affcc356fd12ee31d92f6698c9dd1f293000ffb129d6eda2a71b90d0bee1875308f155137c9d2f7cf2 SHA512 abcb0df4604a78959365d3447112d4f74944b26ccc1e0d43771e38ee071c5915a4deda8c852eebbc58c689bcae29cd13604f8b96cea4cc0d6eb6ca4e265e34f7
DIST setuptools-gettext-0.1.8.tar.gz 15548 BLAKE2B 4e1dcd219fca132e859a44e7ab86f0c81ac2dfccf5d2aca89ac05a2a3a50fec715a5e23e44173e741330d874d1f721ac8ec9d73d79b586ab605fb281aba8aafe SHA512 55b6512061565f210596972db3033d3d4f555428d23d1cac93feb3ea540461e908585d13157bcf97335f07b5a86e0b823b15457fe2f107ffc49e2e1b0c7a0c1e
DIST setuptools-gettext-0.1.9.tar.gz 14490 BLAKE2B a233bb41124d2e927adc24aace620e7c9cd1dfd6e0a2f39343f2d9aaded434f87f2c106ddc19446cc9f4ebf39940091a93fc1375db22c8988e63425e3a5ebdde SHA512 7995c6b980429fba69aa6da2451d1cafb5035bdc02820c6ef729683d0689df594bd66a69fe142cf9f0f70f26858414a30cd9050180f9f1fdf8e81ea53bfcbbda
diff --git a/dev-python/setuptools-gettext/setuptools-gettext-0.1.11.ebuild b/dev-python/setuptools-gettext/setuptools-gettext-0.1.11.ebuild
new file mode 100644
index 000000000000..3cfa5da44d41
--- /dev/null
+++ b/dev-python/setuptools-gettext/setuptools-gettext-0.1.11.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Setuptools plugin for building mo files"
+HOMEPAGE="
+ https://pypi.org/project/setuptools-gettext/
+ https://github.com/breezy-team/setuptools-gettext
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.2.1[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+
+python_test() {
+ cd example || die
+ distutils_pep517_install "${T}/${EPYTHON}"
+ if [[ ! -f ${T}/${EPYTHON}/usr/share/locale/nl/LC_MESSAGES/hallowereld.mo ]]
+ then
+ die ".mo file not installed"
+ fi
+}
diff --git a/dev-python/shiboken2/shiboken2-5.15.12.ebuild b/dev-python/shiboken2/shiboken2-5.15.12.ebuild
index 9dd291d7fd73..94052a8af8a5 100644
--- a/dev-python/shiboken2/shiboken2-5.15.12.ebuild
+++ b/dev-python/shiboken2/shiboken2-5.15.12.ebuild
@@ -29,7 +29,7 @@ S="${WORKDIR}/${MY_P}/sources/shiboken2"
# arbitrarily relicensed. (TODO)
LICENSE="|| ( GPL-2 GPL-3+ LGPL-3 ) GPL-3"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~riscv x86"
IUSE="+docstrings numpy test vulkan"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
diff --git a/dev-python/simpervisor/files/simpervisor-1.0.0-yarl.patch b/dev-python/simpervisor/files/simpervisor-1.0.0-yarl.patch
new file mode 100644
index 000000000000..5f884255262c
--- /dev/null
+++ b/dev-python/simpervisor/files/simpervisor-1.0.0-yarl.patch
@@ -0,0 +1,28 @@
+From b08f4b9b46009fb96c7194aecbc28d6b266e44c0 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Mon, 29 Jan 2024 18:14:32 +0100
+Subject: [PATCH] Convert `PORT` envvar to int to fix aiohttp/yarl
+ compatibility
+
+Conver the value of the `PORT` environment variable to int, to fix
+incompatibility with modern versions of aiohttp/yarl, that do expect
+the `port` argument to be one.
+
+Fixes #49
+---
+ tests/child_scripts/simplehttpserver.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/tests/child_scripts/simplehttpserver.py b/tests/child_scripts/simplehttpserver.py
+index cc460ff..268dc7d 100644
+--- a/tests/child_scripts/simplehttpserver.py
++++ b/tests/child_scripts/simplehttpserver.py
+@@ -11,7 +11,7 @@
+ print("waiting", wait_time)
+ time.sleep(wait_time)
+
+-PORT = os.environ["PORT"]
++PORT = int(os.environ["PORT"])
+
+ routes = web.RouteTableDef()
+
diff --git a/dev-python/simpervisor/simpervisor-1.0.0.ebuild b/dev-python/simpervisor/simpervisor-1.0.0-r1.ebuild
index 79beada97d70..779f1a6bcce7 100644
--- a/dev-python/simpervisor/simpervisor-1.0.0.ebuild
+++ b/dev-python/simpervisor/simpervisor-1.0.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -27,3 +27,8 @@ BDEPEND="
"
distutils_enable_tests pytest
+
+PATCHES=(
+ # https://github.com/jupyterhub/simpervisor/pull/50
+ "${FILESDIR}/${P}-yarl.patch"
+)
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index 9d851b01c8e5..51a043cb16df 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -20,6 +20,7 @@ DIST redox_syscall-0.4.1.crate 24858 BLAKE2B c3301137a0b84e03b09d28dfa377ab3bea7
DIST scopeguard-1.2.0.crate 11619 BLAKE2B 8b7e9ed6cefef9ee55407fb9690d57a2a98bb93e5105aeebdb475a52485e9e185255249e1dce8f83cd80534e7402d485aac3efa7e8493b13135de27550cd4bc4 SHA512 6247719a15fe1e4e2d179127b9a934bd2f99367724f41175ed9522f58824b6bc69b35002eae66b35880375ff61d77ac43ddaa78cbde7160a35183a1da32d3fbb
DIST smallvec-1.11.2.crate 34801 BLAKE2B 58645e99db8f02db64d02c75860c7ea41836c427c03ee3b0b23365e73a406e4fd6ac312bf13fc5faef8bb6111c10fcfd5f839d5b3686e9b34d1626f8469fc327 SHA512 5cfb427c3b99b0dbd71f6154ed899abcde9d7d2992977ac7b2ef3a4c3ff51e4efafd133071a69609b4ed6cb269bdc26b79eb72e1988f10dfcaef8185d950cd1d
DIST sqlglot-20.10.0.tar.gz 9364295 BLAKE2B 717e583c31b53c914124e1b7c7cddf74f3a58d22adfb2aa371556205278c3bfb2f9d76a490dcb6076bb1f75ba53c0ce59f8ace453194e8d57f5c18acdb2f40d3 SHA512 009312413fbf12bdbbe1e5702628ac241f1abc3c677b4759080e9bc304aacbdd00dc229a64610c42cc96dada2b3e2af21cb3c57c0f5dec3ec0648fc692a3cb00
+DIST sqlglot-20.11.0.tar.gz 9417815 BLAKE2B 07f66c8ffba8290ef1f66098a9ae33d21fa506f9a5aa9d1740ff451034d33fab22a33f0ac2aea94dc1429ac40f29a5341d73570859a44093d5b087561af58f32 SHA512 c39b53deef30fd51bc83ed91ebf868572c1ebade71cfc0609149930be740dcf0a8020d2bc365d6e70e0011afb32f3965c28eb82f44543a76390b5dfc7058e61e
DIST sqlglot-20.5.0.tar.gz 9066011 BLAKE2B a2062e4bbb74abe84d14fa1bdde57374185a7487c42c90b13d4fdee5d0793f0cbe54c8da21d33ec0aef398fd4e2015547bc34dd0d444391079c33aa90d612f77 SHA512 4ccc3bf40fe778e8911008a6a51ef84a2c46e430ad15b7ac93e64d68c13705d9811f72691e96f35ab7ce2c45835776afb50815807ab585b52489b1971bb7ddaa
DIST sqlglot-20.7.1.tar.gz 9293277 BLAKE2B 8a7d894033122a5541f1e6bf3bc9066805fc8a43e700186dde49c007e042baecfb59742918607b8779f11d0215f0f107cd45ed793683256fdcd2e1b11a4ab058 SHA512 ffc4d539752e9357cb93669ab936666b7c11d37ccca1358059ce19322a9ba65b05b8492ecc3c39b5905564b3aae2fe13d4ae87c80b51b5cf5a43bbb074cc2c88
DIST sqlglot-20.8.0.tar.gz 9300786 BLAKE2B 843043c4b389145a9da5f0045d8861d054f046b3f79d9f9e7025b1a4ffc10564a83b3b413766190d64c7477795252738e8c5f35dde81d07f1b5d4a6e3a3a12ee SHA512 d88bef209ff27ae2b8187c58746e6388252e693282f0dfe736eff5f1ed2a2b6322632921f3a759f2d6f304b8339abee76be638ff899d23ad13eec72d1322c062
diff --git a/dev-python/sqlglot/sqlglot-20.11.0.ebuild b/dev-python/sqlglot/sqlglot-20.11.0.ebuild
new file mode 100644
index 000000000000..c040bab3734b
--- /dev/null
+++ b/dev-python/sqlglot/sqlglot-20.11.0.ebuild
@@ -0,0 +1,121 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+CARGO_OPTIONAL=1
+CRATES="
+ autocfg@1.1.0
+ bitflags@1.3.2
+ cfg-if@1.0.0
+ heck@0.4.1
+ indoc@2.0.4
+ libc@0.2.150
+ lock_api@0.4.11
+ memoffset@0.9.0
+ once_cell@1.19.0
+ parking_lot@0.12.1
+ parking_lot_core@0.9.9
+ proc-macro2@1.0.70
+ pyo3-build-config@0.20.0
+ pyo3-ffi@0.20.0
+ pyo3-macros-backend@0.20.0
+ pyo3-macros@0.20.0
+ pyo3@0.20.0
+ quote@1.0.33
+ redox_syscall@0.4.1
+ scopeguard@1.2.0
+ smallvec@1.11.2
+ syn@2.0.41
+ target-lexicon@0.12.12
+ unicode-ident@1.0.12
+ unindent@0.2.3
+ windows-targets@0.48.5
+ windows_aarch64_gnullvm@0.48.5
+ windows_aarch64_msvc@0.48.5
+ windows_i686_gnu@0.48.5
+ windows_i686_msvc@0.48.5
+ windows_x86_64_gnu@0.48.5
+ windows_x86_64_gnullvm@0.48.5
+ windows_x86_64_msvc@0.48.5
+"
+
+inherit cargo distutils-r1 pypi optfeature
+
+DESCRIPTION="An easily customizable SQL parser and transpiler"
+HOMEPAGE="
+ https://sqlglot.com/
+ https://github.com/tobymao/sqlglot/
+ https://pypi.org/project/sqlglot/
+"
+SRC_URI+="
+ native-extensions? (
+ ${CARGO_CRATE_URIS}
+ )
+"
+
+LICENSE="MIT"
+LICENSE+=" native-extensions? ("
+# Dependent crate licenses
+LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT Unicode-DFS-2016"
+LICENSE+=" )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+native-extensions"
+
+BDEPEND="
+ native-extensions? (
+ ${RUST_DEPEND}
+ dev-util/maturin[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/sqlglotrs/sqlglotrs.*.so"
+
+src_unpack() {
+ cargo_src_unpack
+}
+
+src_prepare() {
+ # remove fragile timing check
+ sed -i -e '/assertLessEqual(time\.time/d' tests/test_parser.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+
+ if use native-extensions; then
+ local DISTUTILS_USE_PEP517=maturin
+ cd sqlglotrs || die
+ distutils-r1_python_compile
+ cd - >/dev/null || die
+ fi
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # Tests require pyspark or duckdb which aren't in the tree.
+ # Pandas would be a requirement normally, but it gets ignored by proxy.
+ "tests/dataframe/integration/test_dataframe.py"
+ "tests/dataframe/integration/test_grouped_data.py"
+ "tests/dataframe/integration/test_session.py"
+ "tests/test_executor.py"
+ "tests/test_optimizer.py"
+ )
+
+ # make sure not to use an earlier installed version
+ local -x SQLGLOTRS_TOKENIZER=$(usex native-extensions 1 0)
+ rm -rf sqlglotrs || die
+ epytest
+}
+
+pkg_postinst() {
+ optfeature "simplifying timedelta expressions" dev-python/python-dateutil
+}
diff --git a/dev-python/terminado/terminado-0.18.0.ebuild b/dev-python/terminado/terminado-0.18.0.ebuild
index a58901e561a1..cc4666bf75cb 100644
--- a/dev-python/terminado/terminado-0.18.0.ebuild
+++ b/dev-python/terminado/terminado-0.18.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -22,6 +22,11 @@ RDEPEND="
dev-python/ptyprocess[${PYTHON_USEDEP}]
dev-python/tornado[${PYTHON_USEDEP}]
"
+BDEPEND="
+ test? (
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )
+"
distutils_enable_tests pytest
diff --git a/dev-python/tifffile/Manifest b/dev-python/tifffile/Manifest
index e1bd007f946f..1b7618ec8353 100644
--- a/dev-python/tifffile/Manifest
+++ b/dev-python/tifffile/Manifest
@@ -1 +1,2 @@
DIST tifffile-2023.12.9.gh.tar.gz 343750 BLAKE2B c6f3ae05870bbd3fbf67915b2d88ad6662362c28842412449510df8162dc1eb0fd52adb322c4d163c5c3bbc61c182fde08bc38d7b7a4cf6df5554d8e89e6b6c9 SHA512 de51d75cff08f617d638dbd062940ddcd2b0a0ffb25d4670e8d68bd8bcf19ff299695d7b0c8248d5405bfb0015c539b3dacb5133816eace7d0e93cff4f0d2c00
+DIST tifffile-2024.1.30.gh.tar.gz 344378 BLAKE2B 7030219f88a5d4f6cc974a1a433bc10ad1bdcb395632e8b7034a681ddf4cf3b00fcd17df7ac2f4f9796980a74d140b9450f08f5535257b0a1ac05f17cb3c2031 SHA512 96a346c19ed252f8483c49a954bf84f9603b752d00292266131666e4a06ed4826677d9082eda4086d87eace8f3ce28909832267240d92affb810873b9d0a3fe1
diff --git a/dev-python/tifffile/tifffile-2024.1.30.ebuild b/dev-python/tifffile/tifffile-2024.1.30.ebuild
new file mode 100644
index 000000000000..83b88a45e754
--- /dev/null
+++ b/dev-python/tifffile/tifffile-2024.1.30.ebuild
@@ -0,0 +1,57 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Read and write TIFF files"
+HOMEPAGE="
+ https://pypi.org/project/tifffile/
+ https://github.com/cgohlke/tifffile/
+ https://www.cgohlke.com/
+"
+SRC_URI="
+ https://github.com/cgohlke/tifffile/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/numpy-1.19.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/dask[${PYTHON_USEDEP}]
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ >=dev-python/fsspec-2021.5.0[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/xarray[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Internet
+ tests/test_tifffile.py::test_class_omexml
+ tests/test_tifffile.py::test_class_omexml_fail
+ tests/test_tifffile.py::test_class_omexml_modulo
+ tests/test_tifffile.py::test_class_omexml_attributes
+ tests/test_tifffile.py::test_class_omexml_multiimage
+ tests/test_tifffile.py::test_write_ome
+ tests/test_tifffile.py::test_write_ome_manual
+ # requires tons of free space
+ tests/test_tifffile.py::test_write_3gb
+ tests/test_tifffile.py::test_write_5GB_bigtiff
+ tests/test_tifffile.py::test_write_5GB_fails
+ tests/test_tifffile.py::test_write_6gb
+ tests/test_tifffile.py::test_write_bigtiff
+ 'tests/test_tifffile.py::test_write_imagej_raw'
+)